* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.6;
    background: linear-gradient(to top, rgb(255, 214, 214), rgb(253, 225, 225));
}

header {
    z-index: 2;
    background: rgb(237, 76, 76);
    color:white;
    padding: 15px;
    text-align: center;
    position: sticky;
    top: 0;
}

h1{
    font-size: 60px;
}


nav a{
    color:white;
    margin:0 15px;
    text-decoration: none;
    font-weight: bold;
}

nav a:hover{
    color:rgb(0, 0, 0);
    padding:5px;
    background-color: aquamarine;
}


.soft-box{
    color:black;
    background-color: rgb(254, 149, 149);
    padding:20px;
    margin:10px;
    border-radius: 16px;
    box-shadow: 0 6px 20px rgba(0,0,0,0.5);
}




section{
    padding: 60px 20px;
    text-align: center;
}

.hero{

    padding: 200px;
    background:white ;
    color:rgb(0, 0, 0);
    font-weight: 600;
    font-size: 35px;
    -webkit-text-stroke: .2px black;
    

    background-image: url("pattern.png");
    background-size: 500px;
    background-repeat: repeat;

    animation: movePattern 5s linear infinite; /* 👈 SLOW */
    position: relative;
    overflow: hidden;


}
.hero h2{
    font-size: 75px;
    font-weight: 950;
    color:rgb(244, 67, 67);
    -webkit-text-stroke: 2px black;
    display: inline-block;
  animation: float 2s ease-in-out infinite;
}

.hero p{
     display: inline-block;
  animation: float 2s ease-in-out infinite;
}

.hero img{
    position: sticky;
    z-index: 1;
    transform:scale(2);
    object-fit: cover;
    float:left;
    margin-left: 20px;
    
}

@keyframes movePattern {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 200px 200px; /* smaller movement = smoother */
    }
}

@keyframes float {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(-10px); }
  100% { transform: translateY(0); }
}


.home-container {
    font-family: "Lucida Console", "Courier New", monospace;
    display:flex;
    justify-content: space-between;
    align-items: flex-start;
    max-width: 1500px;
    margin: 0 auto;
    gap: 10px;
    
}

.twosoft-box{
    flex: 2;
    color:black;
    background:white;
    padding:10px;
    margin:10px;
    border-radius: 16px;
    box-shadow: 0 6px 20px rgba(0,0,0,0.5);
}



.home-text{
text-align: left;
font-size: 25px;;
padding:25px;
}

.home-text h2{
    text-align: center;
}

.home-images{
    flex:1;
    display:flex;
    flex-direction: column;
    gap:15px;
    align-items: flex-end;
}

.home-images img{
    width: 60%;
    max-width: 1000px;
    border-radius: 16px;
    object-fit: cover;
    

}




form{
    max-width: 400px;
    margin: auto;
}

footer{
    background: black;
    color:white;
    padding: 10px;
}

input,textarea{
    width: 100%;
    padding: 10px;
    margin: 10px 0;
}

button{
    padding: 10px;
    background:rgb(232, 5, 5);
    color:white;
    border: none;
    cursor: pointer;
}